import { Dict } from './types';

type PredicateFn<T> = (key: T) => boolean;
export interface SplitPropsFn {
    <T extends Dict, K extends keyof T>(props: T, keys: K[]): [Pick<T, K>, Omit<T, K>];
    <T extends Dict, K extends PredicateFn<keyof T>>(props: T, keys: K): [Dict, Dict];
}
export declare const splitProps: SplitPropsFn;
export {};
